# Uses of Interface
org.eclipse.swt.SwtRunnable

Packages that use SwtRunnable
Package
Description
org.eclipse.swt.custom
SWT Custom widgets.

## Uses of SwtRunnable in org.eclipse.swt.custom

Methods in org.eclipse.swt.custom with parameters of type SwtRunnable
Modifier and Type
Method
Description
`static <E extends Exception>
CompletableFuture<?>`
BusyIndicator.`execute(SwtRunnable<E> action)`
If called from a `Display` thread use the given `SwtRunnable` to produces a `CompletableFuture` providing busy feedback using the busy indicator while execution is running.
`static <E extends Exception>
CompletableFuture<?>`
BusyIndicator.`execute(SwtRunnable<E> action, Executor executor)`
If called from a `Display` thread use the given `SwtRunnable` to produces a `CompletableFuture` providing busy feedback using the busy indicator while execution is running.